        // A class to maintain a temperature variable.
        // Two constructors are provided to initialize an object.
class Controller {
        // A no-arg constructor for the class.
    public Controller(){
        // Ensure that the initial temperature is set to
        // a non-zero default value.
        // Make it clear what the number means by giving it a name.
        double defaultTemperature = 293.0;
        setTemperature(defaultTemperature);
    }

        // Use the initial value provided in the argument, instead
        // of the default.
    public Controller(double initialTemp){
        setTemperature(initialTemp);
    }

        // Temperature accessor.
    public double getTemperature(){
        return temperature;
    }

        // Temperature mutator.
    public void setTemperature(double setting){
        temperature = setting;
        // Register the change on the display.
        getDisplay().showTemperature(setting);
    }

        // An accessor for the display object.
    private ValueDisplay getDisplay(){
        return display;
    }

    // The current temperature value.
    private double temperature;
    // A display for the temperature value.
    private ValueDisplay display = new ValueDisplay();
}
