import java.io.*;

        // Illustrate the LineNumberReader class.
class SelectLines {
    public static void main(String[] args){
        if(args.length > 0){
            final int whichLine = 1;
            for(int n = 0; n < args.length; n++){
                try{
                    selectLines(args[n],whichLine);
                }
                catch(Exception e){
                }
            }
        }
        else{
            // No file names were given.
            System.out.println("Usage: "+"java SelectLines file ...");
        }
    }

    public static void selectLines(String filename, int n)
                            throws FileNotFoundException, IOException {
        LineNumberReader reader = new LineNumberReader(new FileReader(filename));
        // Read the first line.
        String line = reader.readLine();
        while(line != null){
            if((reader.getLineNumber() % n) == 0){
                System.out.println(line);
            }
            line = reader.readLine();
        }
        reader.close();
    }

}

