        // Set up a ShipController to allow a ship to be
        // controlled from the keyboard.
class ShipControllerMain {
    public static void main(String[] args){
        // Set up the input reader.
        SimpleInput keyboard = new SimpleInput();
        // Ask the user for a `terminating word'.
        System.out.println("Which word will you use to end the commands?");
        String terminatingWord = keyboard.nextWord();

        // Create the controller.
        ShipController controller = new ShipController(keyboard);
        // Create the ship.
        SimpleShip argo = new SimpleShip();
        
        System.out.println("Now input your commands.");
        // Ask the controller to control the ship.
        controller.control(argo,terminatingWord);
        System.out.println("Control of the ship is over.");
    }
}
