abstract class DriverEvent extends Event {
    public DriverEvent(long eventTime,Driver d){
        super(eventTime);
        driver = d;
        d.addEvent(this);
    }

    public String toString(){
        return getWhen()+" UnknownDriverEvent";
    }

    protected Driver getDriver(){
        return driver;
    }

    private final Driver driver;
}
