package utilities;

import java.awt.Color;
import javax.swing.*;
import javax.swing.border.EtchedBorder;

    /** A convenience class that contains an active Quit button
     *  for terminating a program.
     */
public class QuitJPanel extends JPanel {
        /** Create a panel containing a Quit button.
         */
    public QuitJPanel(){
        super();
        setBackground(Color.white);
        setBorder(new EtchedBorder(EtchedBorder.LOWERED));
        add(new QuitJButton());
    }
}
