    // Paint a string in the graphics context of a Canvas within a Frame.
import java.awt.*;

public class AWTWelcome {
    public static void main(String[] args){
        Frame frame = new WelcomeFrame();
        frame.addWindowListener(new WindowCloser());
        frame.setVisible(true);
    }
}

        // Extend Frame to provide control over the frame's contents.
class WelcomeFrame extends Frame {
    public WelcomeFrame(){
        // Give this frame a title.
        super("Welcome");
        // Set the frame's size.
        final int width = 150, height = 100;
        setSize(width,height);
        setBackground(Color.white);
        add(new WelcomeCanvas());
    }
}

class WelcomeCanvas extends Canvas {
        // Override Canvas's paint method.
    public void paint(Graphics g){
        // Define the drawing position.
        final int xpos = 10, ypos = 50;
        g.drawString("Welcome to Earth!",xpos,ypos);
    }
}
