import java.awt.*;

    // Display a range of labels in order to illustrate different
    // font sizes.
class FontSizes extends Frame {
    public FontSizes(){
        final int width = 250, height = 250;
        setSize(width,height);
        setBackground(Color.white);

        // The font sizes to display.
        final int[] sizes = { 8, 12, 16, };
        // Display one font size per row.
        setLayout(new GridLayout(sizes.length,1));

        // Which font to use.
        final String fontName = "SansSerif";
        // Create a centred label for each size.
        for(int i = 0; i < sizes.length; i++){
            // Use the font name as the label's text.
            Label label = new Label(fontName,Label.CENTER);
            // Set the required font.
            label.setFont(new Font(fontName,Font.PLAIN,sizes[i]));
            add(label);
        }
    }
}
