        // Test-rig for the EvenNumbers and OddNumbers implementations
        // of the NumberGenerator interface.
class NumberGeneratorMain {
    public static void main(String[] args){
        EvenNumbers even = new EvenNumbers();
        // Generate a short sequence of even numbers.
        sequence(even);
        OddNumbers odd = new OddNumbers();
        // Generate a short sequence of odd numbers.
        sequence(odd);
    }

        // Generate a few numbers using the NumberGenerator interface.
    public static void sequence(NumberGenerator numbers){
        int n = numbers.nextNumber();
        while(n < 20){
            System.out.print(n+" ");
            n = numbers.nextNumber();
        }
        System.out.println();
    }
}
