import java.util.Date;
import java.text.*;

class DateMain2 {
    public static void main(String[] args){
        // Obtain a Date object for now.
        Date now = new Date();
        // Use the default format for the current locale.
        DateFormat formatter = DateFormat.getTimeInstance();
        System.out.println("Default:    "+formatter.format(now));
        // Demonstrate the SHORT, MEDIUM, LONG and FULL formats for the current locale.
        formatter = DateFormat.getTimeInstance(DateFormat.SHORT);
        System.out.println("Short:      "+formatter.format(now));
        formatter = DateFormat.getTimeInstance(DateFormat.MEDIUM);
        System.out.println("Medium:     "+formatter.format(now));
        formatter = DateFormat.getTimeInstance(DateFormat.LONG);
        System.out.println("Long:       "+formatter.format(now));
        formatter = DateFormat.getTimeInstance(DateFormat.FULL);
        System.out.println("Full:       "+formatter.format(now));
    }
}
