        // A customer leaves after buying ice creams.
public class FinishServing extends Event {
    public FinishServing(long eventTime,Vendor v){
        super(eventTime);
        vendor = v;
    }

        // Let the vendor know that they have left.
    public void perform(Scheduler scheduler){
        getVendor().departure();
    }

    public String toString(){
        return getWhen()+" FinishServing";
    }

    protected Vendor getVendor(){
        return vendor;
    }

    private final Vendor vendor;
}
