import java.util.Random;

        // Create a ship, ask it to report its position and then move.
class RandomShip {
    public static void main(String[] args){
        final int defaultShips = 5;
        int numShips = defaultShips;
        Ship[] ships;

        if(args.length == 1){
            try{
                numShips = Integer.parseInt(args[0]);
                if(numShips <= 0){
                    numShips = defaultShips;
                }
            }
            catch(Exception e){
            }
        }

        ships = new Ship[numShips];
        
        // Create the ships with a random course.
        final int numDegrees = 360;
        final Random randomCourse = new Random();
        final int maxSpeed = 10;
        for(int i = 0; i < ships.length; i++){
            ships[i] = new Ship();
            ships[i].setCourse(randomCourse.nextInt(numDegrees));
            ships[i].setSpeed((int) (maxSpeed*Math.random()));
        }

        // Start them moving under their own control.
        for(int i = 0; i < ships.length; i++){
            new Thread(ships[i]).start();
        }
    }
}
